<?php
/**
 * Select Images according to Category saved.
 *
 * @since Web_Diary 1.0.0
 *
 * @param null
 * @return null
 *
 */
if ( !function_exists('webdiary_slider_images_selection') ) :
    function webdiary_slider_images_selection() 
    { 
          global $webdiary_theme_options;


          $category_name=$webdiary_theme_options['webdiary-feature-cat'];
                       
          $args = array( 'cat' =>$category_name , 'posts_per_page' => -1 );

          $query = new WP_Query($args);

          if($query->have_posts()):

            while($query->have_posts()):

             $query->the_post();
             if(has_post_thumbnail())
                {

                     $image_id = get_post_thumbnail_id();
                     $image_url = wp_get_attachment_image_src($image_id,'banner-slider',true);
?> 
                     <div>
                        <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url($image_url[0]);?>" alt=""></a>
                        <span><?php the_title(); ?></span>
                    </div>
            

 <?php 
                }
            endwhile; endif;wp_reset_query();
   }
endif;
?>